<!-- 
 -------------------------------------------------------------------------------
 MIT License

 Copyright (c) 2024 University College Cork (UCC)

 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.

 
 SPDX-License-Identifier: MIT
 
 Contributors:
     Panagiotis Kyziropoulos - Author
     Dimitrios Bikoulis - Co-author

------------------------------------------------------------------------------- 
-->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DATAMITE: AI on Demand Broker</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f8f9fa;
        }
        header {
            background-color: #343a40;
            color: white;
            padding: 10px 20px;
            display: flex;
            align-items: center;
        }
        header img {
            height: 50px;
            margin-right: 20px;
        }
        main {
            padding: 20px;
        }
        .container {
            max-width: 800px;
            margin: 0 auto;
            background-color: white;
            padding: 20px;
            box-shadow: 0 0 10px rgba(0,0,0,0.1);
        }
        h1 {
            color: #343a40;
        }
        h2 {
            color: #343a40;
        }
        p {
            line-height: 1.6;
        }
        .link-container {
            margin-top: 20px;
        }
        .link-container a {
            display: inline-block;
            margin-right: 10px;
            padding: 10px 20px;
            background-color: #007bff;
            color: white;
            text-decoration: none;
            border-radius: 5px;
        }
        .link-container a:hover {
            background-color: #0056b3;
        }
    </style>
</head>
<body>
    <header>
        <img src="static/images/logo.png" alt="Logo">
        <h1>DATAMITE: AI on Demand Broker</h1>
    </header>
    <main>
        <div class="container">
            <h2>About the Service</h2>
            <p>
                DATAMITE: AI on Demand Broker is a Python Flask service designed to publish metadata of datasets 
                within the DATAMITE framework to the AI on Demand EU portal. This service utilizes a SQLite database 
                and Flasgger for API documentation. 
            </p>
            <p>
                The service includes an example folder containing a simple Node.js GUI that demonstrates a use case 
                of the brokering service. Authentication with the AI on Demand portal is managed via an external Keycloak server.
            </p>
            <div class="link-container">
                <!-- <a id="{{ link_api_documentation }}" href="http://127.0.0.1:4000/apidocs/" id="api-url">API Documentation</a>
                <a id="{{ link_test_usecase }}" href="http://127.0.0.1:3000/" id="test-gui-url">Test Usecase</a> -->
                <a href="{{ link_service_documentation }}" id="api-url">Service Documentation</a>
                <a href="{{ link_api_documentation }}" id="api-url">API Documentation</a>
                <a href="{{ link_test_usecase }}" id="test-gui-url">Test Usecase</a>
            </div>
        </div>
    </main>
</body>
</html>
